# Generated by Django 2.2.24 on 2021-06-09 05:05

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('organization', '0002_auto_20210608_1040'),
        ('address', '0002_auto_20210609_0505'),
        ('l10n', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Bank',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('abi', models.CharField(db_index=True, max_length=5, verbose_name='ABI')),
                ('cab', models.CharField(db_index=True, max_length=5, verbose_name='CAB')),
                ('int_code', models.CharField(blank=True, max_length=4, verbose_name='int code')),
                ('cin', models.CharField(blank=True, max_length=1, verbose_name='CIN')),
                ('cc', models.CharField(blank=True, max_length=12, verbose_name='CC')),
                ('note', models.TextField(blank=True, max_length=255, verbose_name='note')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='bank_bank_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='bank_bank_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
                ('organization', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='banks', to='organization.Organization', verbose_name='organization')),
            ],
            options={
                'verbose_name': 'bank',
                'verbose_name_plural': 'banks',
                'ordering': ('ordering', 'abi', 'cab'),
                'permissions': (('list_bank', 'Can list bank'), ('detail_bank', 'Can detail bank'), ('enable_bank', 'Can enable bank'), ('disable_bank', 'Can disable bank')),
            },
        ),
        migrations.CreateModel(
            name='BankDetail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('address_type', models.IntegerField(blank=True, choices=[(1, 'Corso'), (2, 'Largo'), (3, 'Località'), (4, 'Piazza'), (5, 'Strada/Stretto'), (6, 'Traversa'), (7, 'Via'), (8, 'Viale'), (9, 'Vicolo/Vico'), (10, 'Circonvallazione'), (11, 'Frazione'), (12, 'Rione'), (13, 'Salita'), (14, 'Contrada'), (15, 'Statale'), (16, 'Autostrada'), (17, 'Cascina'), (18, 'Parco'), (19, 'Spalto'), (20, 'Tangenziale'), (21, 'Zona industriale'), (22, 'Borgo'), (23, 'Galleria'), (24, 'Piazzale'), (25, 'Corte'), (26, 'Centro'), (27, 'Foro'), (28, 'Lungo/Lungomare'), (29, 'Calle'), (30, 'Riviera'), (31, 'Villaggio'), (32, 'Passaggio'), (33, 'Borgata'), (34, 'Lungolago')], db_index=True, default=7, null=True, verbose_name='address type')),
                ('number', models.CharField(blank=True, db_column='a_number', max_length=20, verbose_name='number')),
                ('crossed', models.CharField(blank=True, max_length=5, verbose_name='crossed')),
                ('scale', models.CharField(blank=True, max_length=5, verbose_name='scale')),
                ('floor', models.CharField(blank=True, max_length=3, verbose_name='floor')),
                ('zip_code', models.CharField(blank=True, db_index=True, max_length=20, verbose_name='zip code')),
                ('locality', models.CharField(blank=True, db_index=True, max_length=100, verbose_name='locality')),
                ('province', models.CharField(blank=True, db_index=True, max_length=3, verbose_name='province')),
                ('post_office', models.CharField(blank=True, max_length=10, verbose_name='post office')),
                ('abi', models.CharField(db_index=True, max_length=5, verbose_name='ABI')),
                ('cab', models.CharField(db_index=True, max_length=5, verbose_name='CAB')),
                ('name', models.CharField(db_index=True, max_length=100, verbose_name='name')),
                ('agency', models.CharField(db_index=True, max_length=100, verbose_name='agency')),
                ('address_scopes', models.ManyToManyField(db_index=True, to='address.AddressScope', verbose_name='address scopes')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='l10n.Country', verbose_name='country')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='bank_bankdetail_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='bank_bankdetail_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'bank detail',
                'verbose_name_plural': 'bank details',
                'ordering': ('ordering', 'abi', 'cab'),
                'permissions': (('list_bankdetail', 'Can list bank detail'), ('detail_bankdetail', 'Can detail bank detail'), ('enable_bankdetail', 'Can enable bank detail'), ('disable_bankdetail', 'Can disable bank detail')),
                'unique_together': {('abi', 'cab')},
            },
        ),
    ]
